View all methods

catalog.relations.list

List relation definitions in your software catalog. A relation definition describes how entities of a source entity type may relate to entities of a target entity type (including the same type for self-referential relations).

Facts

Method GET https://api.getdx.com/catalog.relations.list
Required scope catalog:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Optional arguments

Name Type Description
cursor String Cursor used to request the next page. Can be found in a prior response via response_metadata.next_cursor.
limit Integer Maximum number of relation definitions per page. Defaults to 50.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/catalog.relations.list?limit=10' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "relations": [
    {
      "identifier": "service-depends-on-service",
      "type": "depends on",
      "inverse_type": "dependency of",
      "cardinality": "many_to_many",
      "description": "Service depends on service",
      "source_entity_type_identifier": "service",
      "target_entity_type_identifier": "service",
      "created_at": "2025-01-02T20:48:45.77969Z",
      "updated_at": "2025-01-02T20:48:45.77969Z"
    },
    {
      "identifier": "microservice-provides-client-sdk",
      "type": "provides",
      "inverse_type": "provided by",
      "cardinality": "one_to_one",
      "description": "Microservice provides a client SDK",
      "source_entity_type_identifier": "service",
      "target_entity_type_identifier": "package",
      "created_at": "2025-01-02T20:48:45.77969Z",
      "updated_at": "2025-01-02T20:48:45.77969Z"
    }
  ],
  "response_metadata": {
    "next_cursor": "avsgf30ccan3"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
invalid_arguments One or more of the arguments provided is invalid.
ore.search.term">"